#
# spec file for package gnome-system-monitor
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-system-monitor
Version:        3.26.0
Release:        0
Summary:        A process monitor for the GNOME desktop
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/gnome-system-monitor/3.26/%{name}-%{version}.tar.xz
# PATCH-FEATURE-UPSTREAM gsm-bsc1020294-add-resources-scrollbar.patch bsc#1020294 bgo#778697 mgorse@suse.com -- add a scrollbar to the resources tab.
Patch0:         gsm-bsc1020294-add-resources-scrollbar.patch
# PATCH-FIX-UPSTREAM gsm-fix-inaccurate-cpu-values.patch bgo#788922 mgorse@suse.com -- fix inaccurate %CPU values in the Process table.
Patch1:         gsm-fix-inaccurate-cpu-values.patch
# PATCH-FIX-UPSTREAM gnome-system-monitor-nb-translation.patch zaitor@opensuse.org -- Update Norwegian Bokmål translation
Patch2:         gnome-system-monitor-nb-translation.patch
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  pkgconfig
%if !0%{?is_opensuse}
BuildRequires:  translation-update-upstream
%endif
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(giomm-2.4) >= 2.46
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.46
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.0
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.3.18
BuildRequires:  pkgconfig(libgtop-2.0) >= 2.28.2
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.35
BuildRequires:  pkgconfig(libsystemd) >= 44
BuildRequires:  pkgconfig(libxml-2.0)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
GNOME-system-monitor is a process and system monitor for the GNOME
Desktop. It shows you what programs are running and how much
processor time, memory, and disk space are being used.

%lang_package

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%if !0%{?is_opensuse}
translation-update-upstream
%endif

%build
%configure \
	--enable-systemd
make %{?_smp_mflags} V=1

%install
%make_install
echo DocPath=gnome-system-monitor >> %{buildroot}/%{_datadir}/applications/gnome-system-monitor.desktop
%suse_update_desktop_file %{name}
%suse_update_desktop_file %{name}-kde
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}/%{_prefix}

%post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/gnome-system-monitor
%dir %{_datadir}/appdata
%{_datadir}/appdata/gnome-system-monitor.appdata.xml
%{_datadir}/applications/gnome-system-monitor.desktop
%{_datadir}/applications/gnome-system-monitor-kde.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.gnome.gnome-system-monitor.policy
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/gsm-kill
%{_libexecdir}/%{name}/gsm-renice
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/gsm.gresource

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
